
  <h1>Location recherche avancée</h1>
  <p><%= link_to 'Retour', locations_path, class:"btn btn-danger", style:"color:white" %></p>

  <%= form_for @search, html: {class: "mt-4"} do |s| %>
    <div class="form-group row mt-2">
      <%= s.label :keywords, "Titre", class: "col-sm-2 col-form-label" %>
      <div class="col-sm-10">
        <%= s.text_field :keywords, class: "form-control", placeholder:"La Grange de Manon"%>
      </div>
    </div>

    <div class="form-group row mt-2">
      <%= s.label :v_type, "Type de logement", class: "col-sm-2 col-form-label" %>
      <div class="col-sm-10">
        <%= s.select :v_type, options_for_select(@v_type), :include_blank => true, class: ""%>
      </div>
    </div>

    <div class="form-group row mt-2">
      <%= s.label :city, "Ville", class: "col-sm-2 col-form-label" %>
      <div class="col-sm-10">
        <%= s.text_field :city, class: "form-control", placeholder:"Toulouse"%>
      </div>
    </div>

    <div class="form-group row mt-2">
      <%= s.label :zip, "ZipCode", class: "col-sm-2 col-form-label" %>
      <div class="col-sm-10">
        <%= s.number_field :zip, class: "form-control", placeholder:"31000"%>
      </div>
    </div>

    <div class="form-group row mt-2">
      <label class="col-sm-2 col-form-label">Chambre minimum</label>
      <div class="col-sm-10">
        <input type="range" value="2" min="1" max="10" oninput="this.nextElementSibling.value = this.value">
        <%= s.text_field :min_nbChambre, size: 1 %>chambre(s)
      </div>
    </div>

    <div class="form-group row mt-2">
      <label class="col-sm-2 col-form-label">Couchage minimum</label>
      <div class="col-sm-10">
        <input type="range" value="2" min="1" max="10" oninput="this.nextElementSibling.value = this.value">
        <%= s.text_field :min_nbCouchage, size: 1 %>pers.
      </div>
    </div>

    <div class="form-group row mt-2">
      <label class="col-sm-2 col-form-label">Prix max</label>
      <div class="col-sm-10">
        <input type="range" value="5000" min="50" max="5000" oninput="this.nextElementSibling.value = this.value">
        <%= s.text_field :max_price, size: 1 %>€
      </div>
    </div>

    <%# <%= s.label :min_price,0 , size: 10 %>

    <!-- TODO: Note minimal -->
    <!-- TODO: Réserver du x/xx/xxxx au xx/xx/xxxx -->

    <div class="form-group row">
      <div class="col-sm-10">
        <div class="actions"><%= s.submit "Recherche avancée", class: "btn btn-warning" %></div>
        <!-- <button type="submit" class="btn btn-primary">Sign in</button>  -->
      </div>
    </div>

  <% end %>
